Apache安装错误

为当前最终发行版之前的所有版本提供支持
回复
wyylling
帖子: 51
注册时间: 2008-01-01 22:30
送出感谢: 0
接收感谢: 0
联系:

Apache安装错误

#1

帖子 wyylling » 2008-01-15 16:45

我用编译安装apache结果出现了如下错误,先说明一下,我是按照它的安装说明安装的
$ ./configure --prefix=PREFIX
$ make
$ make install
$ PREFIX/bin/apachectl start


错误如下:
/usr/bin/install -c -m 644 expat.h /usr/local/apache2//include
make[4]: Leaving directory `/home/wyylling/apache/srclib/apr-util/xml/expat/lib'
make[3]: Leaving directory `/home/wyylling/apache/srclib/apr-util/xml/expat'
/bin/bash /home/wyylling/apache/srclib/apr/libtool --mode=install /usr/bin/install -c -m 755 libaprutil-1.la /usr/local/apache2//lib
libtool: install: error: cannot install `libaprutil-1.la' to a directory not ending in /usr/local/apache/lib
make[2]: *** [install] 错误 1
make[2]: Leaving directory `/home/wyylling/apache/srclib/apr-util'
make[1]: *** [install-recursive] 错误 1
make[1]: Leaving directory `/home/wyylling/apache/srclib'
make: *** [install-recursive] 错误 1

谁能给知道一下?
wyylling
帖子: 51
注册时间: 2008-01-01 22:30
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 wyylling » 2008-01-15 16:51

且在安装目录下的bin文件夹下不成生成apachectl
回复

回到 “老旧版本支持”